Subject: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: martin rudalics <[email-masked]>
Date: Tue, 16 Oct 2018 10:45:42 +0200

>> Please provide a patch that makes the behavior you want optional.
 >
 > Are there cases where this behavior is undesirable?

If in doubt make it customizable.  With your bug reports I currently
have the "return space to which window after deleting it", "which
window to select after deleting the selected one", "which window
'display-buffer-pop-up-window' shall split" and "which window
'display-buffer-use-some-window' shall use" all as candidates for
customization.  Hence having 'window-swap-states-swap-buffer-lists'
too would probably not bother anyone

But if you are sure that it won't harm anyone to make it unconditional
leave it well alone.  We can always add a customization later if
someone needs it.  Personally, I don't care.

 > This patch handles killed buffers, so it works for desktop saving as well
 > (because the desktop restores the frameset only after it reads all buffers):

Please install so we can see whether there are any problems (in
particular with the desktop which I don't use).

Thanks, martin